#!/usr/bin/python
# -*- coding: utf8 -*-
import os
import requests
import sys
import time
import subprocess

ok_file = '/tmp/update_blocklist_db_status_ok'
ko_file = '/tmp/update_blocklist_db_status_ko'
url = "http://ip.tranquil.it"
proxy = 'http://127.0.0.1:8080'
OK, WARNING, CRITICAL, UNKNOWN = 0, 1, 2, 3

try:
    requests.get("http://127.0.0.1/ping/").raise_for_status()
except Exception as e:
    print "Failed to access to tis-proxy-gui"
    sys.exit(CRITICAL)

try:
    requests.get(url, proxies={'http': proxy}).raise_for_status()
except Exception as e:
    print "Failed to download %s through proxy %s" % (url, proxy)
    sys.exit(CRITICAL)

if not os.path.exists(ok_file) or os.path.exists(ko_file):
    print "Failed with last fetch blacklist databases"
    sys.exit(CRITICAL)

twodays_ago = time.time() - 60 * 60 * 24 * 2
if os.path.exists(ok_file) and os.path.getctime(ok_file) < twodays_ago:
    print "The last fetch blacklist databases is too old"
    sys.exit(CRITICAL)

ver = subprocess.check_output('dpkg -s  tis-proxy  |grep Version', shell=True)

print "Everything is fine " + ver.strip()
sys.exit(OK)
